Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.aspects
Interface AsynchronousFacade

All Known Implementing Classes:
  AsynchronousFacadeImpl

public interface AsynchronousFacade

Version:
  `$Revision: 1.2.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Method Summary
`AsynchronousTask` | `getAsynchronousTask()`
`String` | `getId()`
`int` | `getResponseCode()`
`int` | `getResponseCode(AsynchronousTask synchronousTask)`
`Object` | `getReturnValue()`
`Object` | `getReturnValue(AsynchronousTask asynchronousTask)`
`ThreadManagerResponse` | `getThreadManagerResponse()`
`long` | `getTimeout()`
`boolean` | `isDone()`
`boolean` | `isDone(AsynchronousTask asynchronousTask)`
`void` | `setAsynchronousTask(AsynchronousTask asynchronousTask)`
`void` | `setId(String id)`
`void` | `setTimeout(long timeout)`
`AsynchronousResponse` | `waitForResponse()`
`AsynchronousResponse` | `waitForResponse(AsynchronousTask asynchronousTask)`

Method Detail

### setId

    public void setId(String id)

### getId

    public String getId()

### setTimeout

    public void setTimeout(long timeout)

### getTimeout

    public long getTimeout()

### getAsynchronousTask

    public AsynchronousTask getAsynchronousTask()

### setAsynchronousTask

    public void setAsynchronousTask(AsynchronousTask asynchronousTask)

### getThreadManagerResponse

    public ThreadManagerResponse getThreadManagerResponse()

### waitForResponse

    public AsynchronousResponse waitForResponse()

### isDone

    public boolean isDone()

### getResponseCode

    public int getResponseCode()

### getReturnValue

    public Object getReturnValue()

### waitForResponse

    public AsynchronousResponse waitForResponse(AsynchronousTask asynchronousTask)

### isDone

    public boolean isDone(AsynchronousTask asynchronousTask)

### getResponseCode

    public int getResponseCode(AsynchronousTask synchronousTask)

### getReturnValue

    public Object getReturnValue(AsynchronousTask asynchronousTask)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.